# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PouleJourneeMatch(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'number': 'int',
        'external_updated_at': 'datetime',
        'name': 'str'
    }

    attribute_map = {
        'number': 'number',
        'external_updated_at': 'external_updated_at',
        'name': 'name'
    }

    def __init__(self, number=None, external_updated_at=None, name=None):  # noqa: E501
        """PouleJourneeMatch - a model defined in Swagger"""  # noqa: E501
        self._number = None
        self._external_updated_at = None
        self._name = None
        self.discriminator = None
        if number is not None:
            self.number = number
        if external_updated_at is not None:
            self.external_updated_at = external_updated_at
        if name is not None:
            self.name = name

    @property
    def number(self):
        """Gets the number of this PouleJourneeMatch.  # noqa: E501


        :return: The number of this PouleJourneeMatch.  # noqa: E501
        :rtype: int
        """
        return self._number

    @number.setter
    def number(self, number):
        """Sets the number of this PouleJourneeMatch.


        :param number: The number of this PouleJourneeMatch.  # noqa: E501
        :type: int
        """

        self._number = number

    @property
    def external_updated_at(self):
        """Gets the external_updated_at of this PouleJourneeMatch.  # noqa: E501


        :return: The external_updated_at of this PouleJourneeMatch.  # noqa: E501
        :rtype: datetime
        """
        return self._external_updated_at

    @external_updated_at.setter
    def external_updated_at(self, external_updated_at):
        """Sets the external_updated_at of this PouleJourneeMatch.


        :param external_updated_at: The external_updated_at of this PouleJourneeMatch.  # noqa: E501
        :type: datetime
        """

        self._external_updated_at = external_updated_at

    @property
    def name(self):
        """Gets the name of this PouleJourneeMatch.  # noqa: E501


        :return: The name of this PouleJourneeMatch.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PouleJourneeMatch.


        :param name: The name of this PouleJourneeMatch.  # noqa: E501
        :type: str
        """

        self._name = name

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PouleJourneeMatch, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PouleJourneeMatch):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
